JUCE: OpenGLHelpers Class Reference

JUCE

- Main Page
- Related Pages
- Modules
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Loading...
Searching...
No Matches
Static Public Member Functions | List of all members
OpenGLHelpers Class Reference
juce_opengl » opengl

A set of miscellaneous openGL helper functions. More...

`#include <juce_OpenGLHelpers.h>`

## Static Public Member Functions
static void | resetErrorState ()
| Clears the GL error state.
static bool | isContextActive ()
| Returns true if the current thread has an active OpenGL context.
static void | clear (Colour colour)
| Clears the current context using the given colour.
static void | enableScissorTest (Rectangle< int > clip)
static bool | isExtensionSupported (const char *extensionName)
| Checks whether the current context supports the specified extension.
static void * | getExtensionFunction (const char *functionName)
| Returns the address of a named GL extension function.
static String | getGLSLVersionString ()
| Returns a version string such as "#version 150" suitable for prefixing a GLSL shader on this platform.
static String | translateVertexShaderToV3 (const String &)
| Makes some simple textual changes to a shader program to try to convert old GLSL keywords to their v3 equivalents.
static String | translateFragmentShaderToV3 (const String &)
| Makes some simple textual changes to a shader program to try to convert old GLSL keywords to their v3 equivalents.

## Detailed Description

A set of miscellaneous openGL helper functions.

## Member Function Documentation

## ◆ resetErrorState()

static void OpenGLHelpers::resetErrorState | ( |  | ) |
| static

Clears the GL error state.

## ◆ isContextActive()

static bool OpenGLHelpers::isContextActive | ( |  | ) |
| static

Returns true if the current thread has an active OpenGL context.

## ◆ clear()

static void OpenGLHelpers::clear | ( | Colour | colour | ) |
| static

Clears the current context using the given colour.

## ◆ enableScissorTest()

static void OpenGLHelpers::enableScissorTest | ( | Rectangle< int > | clip | ) |
| static

## ◆ isExtensionSupported()

static bool OpenGLHelpers::isExtensionSupported | ( | const char * | extensionName | ) |
| static

Checks whether the current context supports the specified extension.

## ◆ getExtensionFunction()

static void * OpenGLHelpers::getExtensionFunction | ( | const char * | functionName | ) |
| static

Returns the address of a named GL extension function.

## ◆ getGLSLVersionString()

static String OpenGLHelpers::getGLSLVersionString | ( |  | ) |
| static

Returns a version string such as "#version 150" suitable for prefixing a GLSL shader on this platform.

## ◆ translateVertexShaderToV3()

static String OpenGLHelpers::translateVertexShaderToV3 | ( | const String & |  | ) |
| static

Makes some simple textual changes to a shader program to try to convert old GLSL keywords to their v3 equivalents.

Before doing this, the function will check whether the current context is actually using a later version of the language, and if not it will not make any changes. Obviously this is not a real parser, so will only work on simple code!

## ◆ translateFragmentShaderToV3()

static String OpenGLHelpers::translateFragmentShaderToV3 | ( | const String & |  | ) |
| static

Makes some simple textual changes to a shader program to try to convert old GLSL keywords to their v3 equivalents.

Before doing this, the function will check whether the current context is actually using a later version of the language, and if not it will not make any changes. Obviously this is not a real parser, so will only work on simple code!

The documentation for this class was generated from the following file:

- juce_OpenGLHelpers.h